# 更新记录
通过访问 https://www.dedebiz.com/git 获取完整更新记录

# V6.5.8
- 流量统计功能增加蜘蛛判断及查询；
- 修复自定义模型中字段禁止会员投稿的问题；
  
# V6.5.6
- PHP8高版本兼容性调整；
- SQLite支持兼容性调整；
- 默认启用开发模式，建议生成环境更改为安全模式；
- 优化DedeBIZ命令行工具；
- 搜索关键词功能优化；
- 安装目录更新SQL语句位置调整；
- 修复安装SQL没有正确执行的错误；
- 代码格式报错调整，代码美化；
- 优化后台提示框，使其更加友好；

# V6.5.2
- 富文本编辑器支持AI操作，需要AI助手1.0.3版本；
- SQL命令工具优化；
- 更新表单限制防止垃圾留言，调整搜索；
  
# V6.5.0
- 增加AI助手，可自动化构建站点内容；
- 优化tag动态和静态生成；
- 优化搜索词和tag标签管理；
- 调整文档发布和修改时间；
- 后台管理列表增加分页尺寸选项；
- 调整支付配置布局；
- 优化后台提示文字；
- 优化php8.4部分兼容问题；

# V6.3.2
- 重做后台管理，手机端更好访问后台；
- 增加流量统计列表功能，方便了解网站流量；
- 增加自定义表单留言自动发送邮件通知和其他功能；
- 优化后台链接官方资源加载超时后台保持流畅；
- 优化图片自动alt移至扩展函数，支持任何字段；
- 优化Cookie函数，增加samesite属性等设置；
- 修正富文本复制粘贴功能；
- 调整文档标题和软件演示、关键词、tag等字符限制问题；
- 调整游客和会员投稿功能；
- 调整xss导致后台问题
- 其他常规问题修复；

# V6.3.0
- 再次优化后台部分代码面向对象，提高性能正确引导，致力于轻型后台系统；
- 添加后台刷新功能；
- 增强更新系统缓存功能，清理缓存文件；
- 优化后台布局细节处理并支持手机端后台部分显示；
- 优化后台和前台引用资源方便维护；
- 优化提示类说明注释文字及页面元素；
- 优化默认模板标签，新加的元素；
- 优化会员中心资料修改繁琐问题；
- 优化默认模板和插件模板；
- 优化自定义表单搜索功能，新加获取提交链接和地址及时间；
- 优化标签管理搜索功能；
- 优化动态栏目生成目录文件夹问题；
- 修正浏览器错误提示；
- 修正伪静态栏目开启绝对链接问题；
- 修正富文本的错误问题；
- 移除安装目录功能，建议用绑定目录功能；
- 其他常规问题修复；

# V6.2.12
- 增加管理员密码修改工具；
- 优化后台部分代码面向对象，提高性能正确引导，致力于打造高效、简约CMS系统；
- 常规安全问题修复；
- 优化图片选择器，鼠标移动小图标预览；
- 优化前后台提示，在实际开发网站中diy；
- 优化前台默认模板采用标准HTML5元素利于SEO优化；
- 优化后台和默认模板及会员中心的jQuery文件引用问题；
- 修正谷歌浏览器ID重复部分提示问题；
- 修正资源选择器上传回调问题；

# V6.2.11
- 增加商业版扩展DedeBIZ Search；
- 增加用户中心个人主页功能；
- 修正联动模型调用错误；
- 修正软件模型会员发布器缺失的错误；
- 修正TAG为空无法删除的错误；
- 修正TAG生成目录错误；
- 移除FTP的支持；
- 其他常规问题修复；

# V6.2.10
- DedeBIZ基于自由软件基金会发行的GPL v2许可证发布
- 修正后台功能说明提示；
- 修正兼容14px字体元素配置；
- 修正模块上传侧边菜单插件栏目不显示问题；
- 优化文档模型导入和文件上传及空间提示对话框；
- 优化分类模型前台三级区分筛选显示；
- 优化自带ckeditor富文本瘦身，更轻便简洁；
- 其他常规问题修复；

# V6.2.9
- 常规问题修复；
  
# V6.2.8
- 添加文档列表提取文档多图功能；
- 添加外部栏目添加二级栏目功能；
- 优化后台在线更新；
- 优化后台字体大小14px；
- 优化后台主页流量统计表；
- 优化提示对话框；
- 优化更新文档和更新栏目滚动条提示；
- 优化模板不存在找不到文件提示；
- 优化自定义字段模型提示；
- 优化登录和注册及发布必填项目；
- 优化伪静态功能；
- 修正找回密码功能；
- 修正枚举标签调用功能；
- 常规安全问题修复；

# V6.2.7
- 增加jsonq标签功能，支持跨站跨应用栏目数据调用；
- 增加命令行工具修改管理员密码、生成测试数据功能；
- 增强会员投稿次数查询功能；
- 增强会员图片和软件模型上传文件功能；
- 增强会员发布富文本上传图片功能；
- 优化页面元素和引用资源及脚本，后台适配平板端并兼容部分手机端；
- 优化前台评论布局；
- 优化会员推广功能；
- 优化浏览器兼容功能；
- 优化游客投稿功能；
- 调整在线更新问题；
- 调整会员投稿问题；
- 调整自定义表单问题；
- 调整图片模型问题；
- 修复评论点赞问题；
- 修复自定义字段和联动筛选问题；
- 修复前台搜索问题；
- 修正文件名错误问题；
- 修正PHP5.6下报错问题；

# V6.2.6
- 优化默认主题模板和后台：前台模板布局重做，后台按钮优化，侧边菜单优化，全局圆润处理；
- 优化软件在线更新问题；
- 调整后台系统提示问题；
- 修复会员mid为admin显示问题；
- 修复文档列表日期筛选问题；

# V6.2.5
- 增加后台文档列表管理日期筛选框，支持时间段筛选文档；
- 增加删除15天之前流量统计；
- 优化系统支付功能，增加微信支付、余额支付，加强支付宝、银行转账支付方式；
- 优化系统后台，命名为DedeBizAdmin后台；
- 优化用户头像上传功能和会员中心用户资料编辑页；
- 优化会员中心用户内容投稿缩略图；
- 优化缩略图和图片裁剪函数；
- 优化后台图集功能，重写图片上传方式；
- 调整前台模板，添加会员头像和昵称标签；
- 调整后台文件说明；
- 修复模块删除卸载错误；
- 修复后台首页文档权限判断错误；
- 修复管理员添加后无法登录的错误；
- 修复前台模板自定义字段问题；

# V6.2.3
- 修正软件路径错误；
- 修正商业组件提示错误；
  
# V6.2.2
- 修正系统升级的错误；
  
# V6.2.1
- 修正模块编辑的错误；
- 修正老版本升级无法登录的问题；
- 修正部分服务器无法请求的错误；
- 优化流量统计，不记录爬虫；
  
# V6.2.0
- 增加“安全”、“开发”模式，安全模式用于生产使用，移除后台开发相关功能；
- 后台界面样式，默认主题H5页面调整，优化菜单项；
- 增加在线升级功能，支持后台一键升级；
- 修正外部链接https链接问题和数据优化；
- 优化验证码功能；
- 增加DedeAlert函数，提示更方便、美观；
- 增加文件列表图片图片功能；
- 增加软件更新功能；
- 增加软件联动单筛选功能；
- 增加会员和默认模板互通功能；
- 增加DedeConfirm方法改写window.confirm；
- 修正富文本选择图片，上传缩略图格式；
- 修正单页采集；
- 修正采集图片背景黑色；
- 修正图集文件名格式；
- 修正会员短消息无法删除的问题；
- 移除多余验证码功能，后台、会员中心用户登录验证码优化；
- 移除无效资源；
- 移除ZIP类；

# v6.1.9
- 文档标题扩容，支持更多内容；
- 修复邮件在PHP高版本环境下无法正常发送的错误；
- 增加密码校验机制，增强系统的安全性；
- 优化会员中心界面样式，全面支持HTML5；
- 优化系统后台界面样式，全面支持HTML5；
- 修复统计程序隔天首次访问错误的问题；
- 优化后台颜色选择器，支持自定义颜色；
- 修复内容权重混乱的错误；
- 优化图片文档弹出层和文件管理与模板管理文件按名称排序；
- 修复后台上传附件错误；
- 修复安全检测不能响应的错误；
- 移除JS生成功能；
- 移除无效的系统资源；
- 优化系统禁用词方法；
- 增加搜索模板分页标签选项；
- 常规问题修复；

# v6.1.8
- 优化TAG生成功能；
- 支持webp格式图片；
- 优化对HTTPS的支持；
- 移除无效资源文件；
- 优化伪静态功能；
- Bootstrap升级到4.6.1；
- 会员中心、系统后台、默认模板样式优化；
- 移除重复文档标题检测；
- 修复会员中心收藏内容无法删除的错误；
- 修复SQL标签错误；
- 修复友情链接插件的错误；
- 常规问题修复；

# v6.1.7
- 内置轻量级流量统计工具；
- 增加对IPv6的支持；
- 优化伪静态功能；
- CKEditor升级到4.18.0；
- 后台移除对IE浏览器的支持，增加浏览器升级提示；
- 会员中心、系统后台、默认模板样式优化；
- datalist增加为空的显示；
- 常规问题修复；
  
# v6.1.6
- 移除dedeajax相关请求函数，改成fetch获取数据；
- 修正模块认证信息提示错误；
- 界面及系统资源优化；
- 更新TAG标签生成功能，修正无法生成静态TAG标签首页的错误；
- 代码调整，移除无效函数；

# v6.1.2
- 更新授权协议，区分社区版及商业版；
- 富文本编辑器增加选择服务器图片；
- 安全问题修复；
- 命令行功能优化；
- 富文本编辑器支持插入代码；
  
# v6.1.1
- 修正子目录安装问题；
- 生产环境错误处理调整；
- 重写联动类型缓存模式&移除对memcache支持；
- 移除无效资源；

# v6.1.0
- 兼容PHP8+；
- 修正已知存在的安全问题；
- 优化系统管理后台界面；
- 修正sqlite3下的错误；
- 系统结构调整，更合理规范；
- 增加编辑器多图上传插件；
- 修正自定义表单相关错误；

# v6.0.0
- 调整DedeCMS目录结构，将原有include中外部访问的内容迁移出去；
- 修正已知存在的安全问题；
- 升级内置编辑器ckeditor4为最新版本；
- v6以后仅发布UTF-8版本的程序，不再提供GBK编码的版本；
- jQuery升级到3.5.X，并逐步淘汰过于陈旧的浏览器支持；
- 后台界面样式调整；
- 支持Tag标签静态化，增加内容呈现维度，更利于SEO；
- 优化内置的模块插件，增强用户体验；
- 调整会员中心UI，移除对文件上传的支持，增加系统安全性；
- 移除对Flash的依赖支持，今后版本采用HTML5相关特性；
- 调整v6版本程序升级相关功能；
- 兼容PHP7.4，未来的版本以PHP7.X为主，实验性支持PHP8.X；
- 系统支持HTTPS；
- 默认模板重新设计制作，采用响应式布局；
- 官方网站页面调整，调整部分内容以适应未来的版本更新；
- 增加DedeBIZ商业支持，构建更安全、稳定的织梦生态；